BOS API
Response and request schema references are described in API schemas.
GET /stats/bos
Section titled “GET /stats/bos”Get Bos Stats
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
|
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
|
bos_minutes |
query | No | {"type": "integer", "default": 5} |
|
pivot_bars |
query | No | {"type": "integer", "default": 2} |
|
use_close |
query | No | {"type": "boolean", "default": true} |
|
include_raw_data |
query | No | {"type": "boolean", "default": false} |
|
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
include_excursion |
query | No | {"type": "boolean", "default": false} |
Include the available movement profile when supported. |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/bos/doc
Section titled “GET /stats/bos/doc”Get Bos Doc
Gibt die Dokumentation der BOS-Felder zurück.
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }}GET /stats/bos/raw
Section titled “GET /stats/bos/raw”Get Raw Bos Data
Endpunkt zur Abfrage von Rohdaten für BOS-Ereignisse
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
|
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
|
bos_minutes |
query | No | {"type": "integer", "default": 5} |
|
pivot_bars |
query | No | {"type": "integer", "default": 2} |
|
use_close |
query | No | {"type": "boolean", "default": true} |
|
start_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC start time (HH:MM). If omitted, session-aware defaults are used. |
end_time |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Daily UTC end time (HH:MM). If omitted, session-aware defaults are used. |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g., ‘1M’, ‘3M’, ‘6M’, ‘12M’, ‘24M’, ‘5Y’) |
include_excursion |
query | No | {"type": "boolean", "default": false} |
Include the available movement profile when supported. |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}